Bug 674010 - vdsClient: NameError: name 'commands' is not define
Summary: vdsClient: NameError: name 'commands' is not define
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: Unspecified
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Haim
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-31 10:22 UTC by Lubos Kocman
Modified: 2016-04-18 06:37 UTC (History)
7 users (show)

Fixed In Version: v4.9.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-06 20:57:38 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Lubos Kocman 2011-01-31 10:22:25 UTC
Description of problem:

Seems like somebody should take a care of defining "commands" before printing that usage.

[root@hyper01 ~]# vdsClient -s0
Traceback (most recent call last):
  File "/usr/share/vdsm/vdsClient.py", line 1946, in ?
    usage(commands)


# Here the usage thing is correct

[root@hyper01 ~]# vdsClient -s 0 monitorCommand "spice.set_ticket 123456"
Error using command

monitorCommand
	<vmId> <string>
	Send a string containing monitor command to the desktop

Version-Release number of selected component (if applicable):

vdsm22-4.5-63.9.el5

How reproducible:


Steps to Reproduce:
1.vdsClient -s0

  
Actual results:

Traceback (most recent call last):
  File "/usr/share/vdsm/vdsClient.py", line 1946, in ?
    usage(commands)
NameError: name 'commands' is not defined

Expected results:

Valid usage

Additional info:

Comment 1 Dan Kenigsberg 2011-02-07 17:06:43 UTC
I don't think we should touch this in Zstream. Moving to rhev 2.3.

Comment 3 Haim 2012-01-05 14:02:20 UTC
fixed in - http://gerrit.ovirt.org/906


Note You need to log in before you can comment on or make changes to this bug.